Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasName

All Known Implementing Classes:
  CheckBox, FileUpload, Hidden, ListBox, PasswordTextBox, RadioButton, TextArea, TextBox, TextBoxBase

    public interface HasName

A widget that implements this interface has a 'name' associated with it, allowing it to be used with `FormPanel`. This property is the name that will be associated with the widget when its form is submitted.

Method Summary
`java.lang.String` | `getName()` Gets the widget's name.
`void` | `setName(java.lang.String name)` Sets the widget's name.

Method Detail

### setName

    void setName(java.lang.String name)

  Sets the widget's name.

  Parameters:
    `name` - the widget's new name

### getName

    java.lang.String getName()

  Gets the widget's name.

  Returns:
    the widget's name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD